Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class StyleSheet

    java.lang.Object
      org.apache.poi.hwpf.model.StyleSheet

All Implemented Interfaces:
  HDFType

    public final class StyleSheet

extends java.lang.Object
implements HDFType

Represents a document's stylesheet. A word documents formatting is stored as compressed styles that are based on styles contained in the stylesheet. This class also contains static utility functions to uncompress different formatting properties.

Fields documentation is quotes from Microsoft Office Word 97-2007 Binary File Format (.doc) Specification, page 36 of 210

Author:
  Ryan Ackley

Field Summary
`static int` | `NIL_STYLE`

Constructor Summary
`StyleSheet(byte[] tableStream, int offset)` StyleSheet constructor.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`CharacterProperties` | `getCharacterStyle(int styleIndex)`
`byte[]` | `getCHPX(int styleIndex)`
`byte[]` | `getPAPX(int styleIndex)`
`ParagraphProperties` | `getParagraphStyle(int styleIndex)`
`StyleDescription` | `getStyleDescription(int styleIndex)` Gets the StyleDescription at index x.
`int` | `numStyles()` Gets the number of styles in the style sheet.
`void` | `writeTo(HWPFOutputStream out)`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NIL_STYLE

    public static final int NIL_STYLE

See Also:
  Constant Field Values

Constructor Detail

### StyleSheet

    public StyleSheet(byte[] tableStream,
                      int offset)

  StyleSheet constructor. Loads a document's stylesheet information,

  Parameters:
    `tableStream` - A byte array containing a document's raw stylesheet info. Found by using FileInformationBlock.getFcStshf() and FileInformationBLock.getLcbStshf()

Method Detail

### writeTo

    public void writeTo(HWPFOutputStream out)
                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### numStyles

    public int numStyles()

  Gets the number of styles in the style sheet.

  Returns:
    The number of styles in the style sheet.

### getStyleDescription

    public StyleDescription getStyleDescription(int styleIndex)

  Gets the StyleDescription at index x.

  Parameters:
    `styleIndex` - the index of the desired StyleDescription.

### getCharacterStyle

    public CharacterProperties getCharacterStyle(int styleIndex)

### getParagraphStyle

    public ParagraphProperties getParagraphStyle(int styleIndex)

### getCHPX

    public byte[] getCHPX(int styleIndex)

### getPAPX

    public byte[] getPAPX(int styleIndex)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD